| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGridCellStringRenderer Class Reference
Class List by Category » Grid Related Classes

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellStringRenderer:
[legend]

## Detailed Description

This class may be used to format string data in a cell; it is the default for string cells.

##

Library: wxAdvanced
Category: Grid Related Classes

See also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer

## Public Member Functions

| wxGridCellStringRenderer ()
| Default constructor. More...
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself. More...
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value. More...
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents. More...
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor. More...
virtual | ~wxClientDataContainer ()
| Destructor. More...
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Additional Inherited Members

Protected Member Functions inherited from wxGridCellRenderer
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Constructor & Destructor Documentation

wxGridCellStringRenderer::wxGridCellStringRenderer | ( |  | ) |

Default constructor.